Skip to main content

Attributes

The table below covers information from the response for uploaded documents. The response body is an array of objects and can include multiple document values.
AttributeTypeDescription
idstringDocument ID
typestringDocument type, valid responses below PAYSTUB, W2, F1099, F1040, INSURANCE_HOME_POLICY, INSURANCE_AUTO_POLICY
subtypestring, nullDocument subtype, valid responses below F1099_DIV, F1099_G, F1099_INT, F1099_MISC, F1099_NEC, F1099_R, F_SSA1099
fileuriDocument file link, file may be absent or partially uploaded (up to 2048 characters long)
filenamestringDocument file name
mimetypestringDocument mimetype
created_atdate-timeDate when document was uploaded
updated_atdate-timeDate when document was updated
Document file URLs are temporary pre-signed URLs that expire after 1 hour. After expiry, the URL returns an access error. To get a fresh URL, make a new API request to the Retrieve document endpoint. This does not trigger a data refresh or re-upload — it simply generates a new pre-signed URL for the same file.

Endpoints

Use the endpoints below to get information on uploaded documents.

Example response

The sample below is a JSON response for the endpoint.
[
  {
    "id": "24d7e80942ce4ad58a93f70ce4115f5c",
    "type": "W2",
    "subtype": null,
    "file": "https://citadelid-resources.s3.us-west-2.amazonaws.com/doc_upload/w2.pdf",
    "filename": "most.recent.paystub.pdf",
    "mimetype": "application/pdf",
    "created_at": "2023-08-03T23:52:12.751Z",
    "updated_at": "2023-08-03T23:52:12.751Z"
  }
]